package com.steering.pss.plnsaleord.ordAmCal.model;

/**
 * 合同量转换原则实体类
 * @author xiaohai
 * @date 2015/11/20
 */
@SuppressWarnings("serial")
public class OutOrdParamEntity implements java.io.Serializable {
    /**
     * 是否正常
     */
    private int errCode = 0;
    /**
     * 错误信息
     */
    private String errMessage = "";
    /**
     * 米单重（t/m）
     */
    private double weightMi = 0;
    /**
     * 成品支数
     */
    private int planNum = 0;
    /**
     * 成品目标长度（m）
     */
    private double aimLength = 0;
    /**
     * 轧管目标转移长度（m）
     */
    private double aimlengthZg = 0;
    /**
     * 轧制加长（m）
     */
    private double addLenZg = 0;
    /**
     * 上限轧管加长(mm)
     */
    private double lenToendMax = 0;
    /**
     * 下限轧管加长(mm)
     */
    private double lenToendMin = 0;
    /**
     * 缴库量
     */
    private double weightInA = 0;
    /**
     * 缴库上限
     */
    private double weightInAMax = 0;
    /**
     * 缴库下限
     */
    private double weightInAMin = 0;
    /**
     * 排产量
     */
    private double weightPc = 0;
    /**
     * 估算量
     */
    private double estWeight = 0;
    /**
     * 转换计量单位(支、吨)
     */
    private String weightUnit = "";
    /**
     * 管体重量（t）
     */
    private double tubebodyWeight = 0;
    /**
     * 接箍重量（t）
     */
    private double weightJgAll = 0;
    /**
     * 镦粗影响重（t）
     */
    private double weightDc = 0;
    /**
     * 拔扩切头尾加长重（t）
     */
    private double weightDbk = 0;
    /**
     * 轧制加长重（t）
     */
    private double weightZg = 0;
    /**
     * 探伤盲区切长重（t）
     */
    private double weightInspect = 0;
    /**
     * 保米长（m）
     */
    private double totlengthM = 0;
    /**
     * 单坯产出成品长度（m）
     */
    private double totLenOneP = 0;
    /**
     * 单坯分切数
     */
    private int cutNumP = 0;
    /**
     * 选用壁厚（mm）
     */
    private double aimWallthick = 0;
    /**
     * 轧制长度（m）
     */
    private double rollLength = 0;
    /**
     * 轧制转移长度上限（m）
     */
    private double lenRollMax = 0;
    /**
     * 轧制转移长度下限（m）
     */
    private double lenRollMin = 0;
    /**
     * 控制外径
     */
    private double aimOutdiameter = 0;
    /**
     * 排产原则
     */
    private double feedRate = 0;
    /**
     * 排产系数
     */
    private double coefficient = 0;
    /**
     * 排产系数min
     */
    private double coefficientMin  = 0;
    /**
     * 排产重量min
     */
    private double planPMainMin  = 0;
    /**
     * 成品单支重
     */
    private double aimWtEnd  = 0;
    /**
     * 控制壁厚米单重
     */
    private double weightKzM = 0;
    
    /**
     * 控制外径
     */
    public double getAimOutdiameter() {
        return aimOutdiameter;
    }
    /**
     * 控制外径
     */
    public void setAimOutdiameter(double aimOutdiameter) {
        this.aimOutdiameter = aimOutdiameter;
    }
    /**
     * 排产原则
     */
    public double getFeedRate() {
        return feedRate;
    }
    /**
     * 排产原则
     */
    public void setFeedRate(double feedRate) {
        this.feedRate = feedRate;
    }
    /**
     * 排产系数
     */
    public double getCoefficient() {
        return coefficient;
    }
    /**
     * 排产系数
     */
    public void setCoefficient(double coefficient) {
        this.coefficient = coefficient;
    }
    /**
     * 排产系数min
     */
    public double getCoefficientMin() {
        return coefficientMin;
    }
    /**
     * 排产系数min
     */
    public void setCoefficientMin(double coefficientMin) {
        this.coefficientMin = coefficientMin;
    }
    /**
     * 排产重量min
     */
    public double getPlanPMainMin() {
        return planPMainMin;
    }
    /**
     * 排产重量min
     */
    public void setPlanPMainMin(double planPMainMin) {
        this.planPMainMin = planPMainMin;
    }
    /**
     * 成品单支重
     */
    public double getAimWtEnd() {
        return aimWtEnd;
    }
    /**
     * 成品单支重
     */
    public void setAimWtEnd(double aimWtEnd) {
        this.aimWtEnd = aimWtEnd;
    }
    /**
     * 控制壁厚米单重
     */
    public double getWeightKzM() {
        return weightKzM;
    }
    /**
     * 控制壁厚米单重
     */
    public void setWeightKzM(double weightKzM) {
        this.weightKzM = weightKzM;
    }

    /**
     * 轧管产出倍尺数
     */
    private String outMultD = "";

    /**
     * 轧管产出倍尺数
     */
    public String getOutMultD() {
        return outMultD;
    }

    /**
     * 轧管产出倍尺数
     */
    public void setOutMultD(String outMultD) {
        this.outMultD = outMultD;
    }

    /**
     * 是否正常
     * @return the errCode
     */
    public int getErrCode() {
        return errCode;
    }

    /**
     * 是否正常
     * @param errCode the errCode to set
     */
    public void setErrCode(int errCode) {
        this.errCode = errCode;
    }

    /**
     * 错误信息
     * @return the errMessage
     */
    public String getErrMessage() {
        return errMessage;
    }

    /**
     * 错误信息
     * @param errMessage the errMessage to set
     */
    public void setErrMessage(String errMessage) {
        this.errMessage = errMessage;
    }

    /**
     * 米单重（t/m）
     * @return the weightMi
     */
    public double getWeightMi() {
        return weightMi;
    }

    /**
     * 米单重（t/m）
     * @param weightMi the weightMi to set
     */
    public void setWeightMi(double weightMi) {
        this.weightMi = weightMi;
    }

    /**
     * 成品支数
     * @return the planNum
     */
    public int getPlanNum() {
        return planNum;
    }

    /**
     * 成品支数
     * @param planNum the planNum to set
     */
    public void setPlanNum(int planNum) {
        this.planNum = planNum;
    }

    /**
     * 成品目标长度（m）
     * @return the aimLength
     */
    public double getAimLength() {
        return aimLength;
    }

    /**
     * 成品目标长度（m）
     * @param aimLength the aimLength to set
     */
    public void setAimLength(double aimLength) {
        this.aimLength = aimLength;
    }

    /**
     * 轧管目标转移长度（m）
     * @return the aimlengthZg
     */
    public double getAimlengthZg() {
        return aimlengthZg;
    }

    /**
     * 轧管目标转移长度（m）
     * @param aimlengthZg the aimlengthZg to set
     */
    public void setAimlengthZg(double aimlengthZg) {
        this.aimlengthZg = aimlengthZg;
    }

    /**
     * 缴库量(支、吨)
     * @return the weightInA
     */
    public double getWeightInA() {
        return weightInA;
    }

    /**
     * 缴库量(支、吨)
     * @param weightInA the weightInA to set
     */
    public void setWeightInA(double weightInA) {
        this.weightInA = weightInA;
    }

    /**
     * 缴库量上限(支、吨)
     * @return the weightInAMax
     */
    public double getWeightInAMax() {
        return weightInAMax;
    }

    /**
     * 缴库量上限(支、吨)
     * @param weightInAMax the weightInAMax to set
     */
    public void setWeightInAMax(double weightInAMax) {
        this.weightInAMax = weightInAMax;
    }

    /**
     * 缴库量下限(支、吨)
     * @return the weightInAMin
     */
    public double getWeightInAMin() {
        return weightInAMin;
    }

    /**
     * 缴库量下限(支、吨)
     * @param weightInAMin the weightInAMin to set
     */
    public void setWeightInAMin(double weightInAMin) {
        this.weightInAMin = weightInAMin;
    }

    /**
     * 排产量(支、吨)
     * @return the weightPc
     */
    public double getWeightPc() {
        return weightPc;
    }

    /**
     * 排产量(支、吨)
     * @param weightPc the weightPc to set
     */
    public void setWeightPc(double weightPc) {
        this.weightPc = weightPc;
    }

    /**
     * 估算量(支、吨)
     * @return the estWeight
     */
    public double getEstWeight() {
        return estWeight;
    }

    /**
     * 估算量(支、吨)
     * @param estWeight the estWeight to set
     */
    public void setEstWeight(double estWeight) {
        this.estWeight = estWeight;
    }

    /**
     * 转换计量单位(支、吨)
     * @return the weightUnit
     */
    public String getWeightUnit() {
        return weightUnit;
    }

    /**
     * 转换计量单位(支、吨)
     * @param weightUnit the weightUnit to set
     */
    public void setWeightUnit(String weightUnit) {
        this.weightUnit = weightUnit;
    }

    /**
     * 管体重量（t）
     * @return the tubebodyWeight
     */
    public double getTubebodyWeight() {
        return tubebodyWeight;
    }

    /**
     * 管体重量（t）
     * @param tubebodyWeight the tubebodyWeight to set
     */
    public void setTubebodyWeight(double tubebodyWeight) {
        this.tubebodyWeight = tubebodyWeight;
    }

    /**
     * 接箍重量（t）
     * @return the weightJg
     */
    public double getWeightJgAll() {
        return weightJgAll;
    }

    /**
     * 接箍重量（t）
     * @param weightJg the weightJg to set
     */
    public void setWeightJgAll(double weightJgAll) {
        this.weightJgAll = weightJgAll;
    }

    /**
     * 墩粗影响重（t）
     * @return the weightDc
     */
    public double getWeightDc() {
        return weightDc;
    }

    /**
     * 墩粗影响重（t）
     * @param weightDc the weightDc to set
     */
    public void setWeightDc(double weightDc) {
        this.weightDc = weightDc;
    }

    /**
     * 保米长（m）
     * @return the totlengthM
     */
    public double getTotlengthM() {
        return totlengthM;
    }

    /**
     * 保米长（m）
     * @param totlengthM the totlengthM to set
     */
    public void setTotlengthM(double totlengthM) {
        this.totlengthM = totlengthM;
    }

    /**
     * 轧制加长（m）
     * @return the addLenZg
     */
    public double getAddLenZg() {
        return addLenZg;
    }

    /**
     * 轧制加长（m）
     * @param addLenZg the addLenZg to set
     */
    public void setAddLenZg(double addLenZg) {
        this.addLenZg = addLenZg;
    }

    /**
     * 拔扩加长重（t）
     * @return the weightDbk
     */
    public double getWeightDbk() {
        return weightDbk;
    }

    /**
     * 拔扩加长重（t）
     * @param weightDbk the weightDbk to set
     */
    public void setWeightDbk(double weightDbk) {
        this.weightDbk = weightDbk;
    }

    /**
     * 轧制加长重（t）
     * @return the weightZg
     */
    public double getWeightZg() {
        return weightZg;
    }

    /**
     * 轧制加长重（t）
     * @param weightZg the weightZg to set
     */
    public void setWeightZg(double weightZg) {
        this.weightZg = weightZg;
    }

    /**
     * 探伤盲区切长重（t）
     * @return the weightInspect
     */
    public double getWeightInspect() {
        return weightInspect;
    }

    /**
     * 探伤盲区切长重（t）
     * @param weightInspect the weightInspect to set
     */
    public void setWeightInspect(double weightInspect) {
        this.weightInspect = weightInspect;
    }

    /**
     * 上限轧管加长(mm)
     * @return the lenToendMax
     */
    public double getLenToendMax() {
        return lenToendMax;
    }

    /**
     * 上限轧管加长(mm)
     * @param lenToendMax the lenToendMax to set
     */
    public void setLenToendMax(double lenToendMax) {
        this.lenToendMax = lenToendMax;
    }

    /**
     * 下限轧管加长(mm)
     * @return the lenToendMin
     */
    public double getLenToendMin() {
        return lenToendMin;
    }

    /**
     * 下限轧管加长(mm)
     * @param lenToendMin the lenToendMin to set
     */
    public void setLenToendMin(double lenToendMin) {
        this.lenToendMin = lenToendMin;
    }

    /**
     * 单坯产出成品长度（m）
     * @return the totLenOneP
     */
    public double getTotLenOneP() {
        return totLenOneP;
    }

    /**
     * 单坯产出成品长度（m）
     * @param totLenOneP the totLenOneP to set
     */
    public void setTotLenOneP(double totLenOneP) {
        this.totLenOneP = totLenOneP;
    }

    /**
     * 单坯分切数
     * @return the cutNumP
     */
    public int getCutNumP() {
        return cutNumP;
    }

    /**
     * 单坯分切数
     * @param cutNumP the cutNumP to set
     */
    public void setCutNumP(int cutNumP) {
        this.cutNumP = cutNumP;
    }

    /**
     * 控制壁厚
     * @return value
     */
    public double getAimWallthick() {
        return aimWallthick;
    }

    /**
     * 控制壁厚
     * @param aimWallthick value
     */
    public void setAimWallthick(double aimWallthick) {
        this.aimWallthick = aimWallthick;
    }

    /**
     * 轧制长度（m）
     * @return value
     */
    public double getRollLength() {
        return rollLength;
    }

    /**
     * 轧制长度（m）
     * @param rollLength value
     */
    public void setRollLength(double rollLength) {
        this.rollLength = rollLength;
    }

    /**
     * @return the lenRollMax
     */
    public double getLenRollMax() {
        return lenRollMax;
    }

    /**
     * @param lenRollMax the lenRollMax to set
     */
    public void setLenRollMax(double lenRollMax) {
        this.lenRollMax = lenRollMax;
    }

    /**
     * @return the lenRollMin
     */
    public double getLenRollMin() {
        return lenRollMin;
    }

    /**
     * @param lenRollMin the lenRollMin to set
     */
    public void setLenRollMin(double lenRollMin) {
        this.lenRollMin = lenRollMin;
    }
}